clear

mu=2;
beta=0.97;

amax=10;
n=1000;
m=5;

rho=0.53;
sigma=0.296;
[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
s=exp(s);

a1=uniformnodes(-3,amax,n);

[r1,out1]=ridders('huggett_eq',0,0.1,1e-5,a1,s,P,beta,mu);
lambda1=out1{1};
distA1=sum(lambda1,2);

a2=uniformnodes(-5,amax,n);

[r2,out2]=ridders('huggett_eq',0,0.1,1e-5,a2,s,P,beta,mu);
lambda2=out2{1};
distA2=sum(lambda2,2);

subplot(2,1,1), plot(a1,distA1,'b','LineWidth',2)
hold on
subplot(2,1,1), plot(a2,distA2,'g','LineWidth',2)
legend('b=3','b=5',0)
hold off
subplot(2,1,2), plot(a1,cumsum(distA1),'b','LineWidth',2)
hold on
subplot(2,1,2), plot(a2,cumsum(distA2),'g','LineWidth',2)
hold off