clear

mu=2;
beta=0.97;

rho=0.53;
sigma=0.296;

amax=8;
n=300;
m=5;

[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
s=exp(s);

a=uniformnodes(-1,amax,n);

h=30;
minr=-(1-beta)/beta;
maxr=-minr;
rate=uniformnodes(minr,maxr,h);
A=zeros(h,1);

for j=1:h
    A(j)=huggett_eq(rate(j),a,s,P,beta,mu);
end

plot(rate,A,'b','LineWidth',2)

hold on

a=uniformnodes(-3,amax,n);

for j=1:h
    A(j)=huggett_eq(rate(j),a,s,P,beta,mu);
end

plot(rate,A,'g','LineWidth',2)

hold off